import request from "../request.js"

export default {
	// 公告消息数量(展示)
	getNoticeCount(data){
		return new Promise((resolve, reject) => {
			request.TokenRequest({
				url: '/admin/admin/notice/count/all',
				method: 'GET',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	// 未读消息数量(展示)
	getNewsCount(data){
		return new Promise((resolve, reject) => {
			request.TokenRequest({
				url: '/admin/admin/notice/count/un/read',
				method: 'GET',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	// 系统公告列表(展示)
	getNoticeList(data){
		return new Promise((resolve, reject) => {
			request.TokenRequest({
				url: '/admin/admin/notice/public/messages',
				method: 'GET',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	// 我的消息列表(展示)
	getNewsList(data){
		return new Promise((resolve, reject) => {
			request.TokenRequest({
				url: '/admin/admin/notice/my/messages',
				method: 'GET',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	// 消息全部已读(展示)
	getNewReadAll(data){
		return new Promise((resolve, reject) => {
			request.TokenRequest({
				url: '/admin/admin/notice/read/all',
				method: 'POST',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
	// 获取详细(展示)
	getNoticeDetail(data){
		return new Promise((resolve, reject) => {
			request.TokenRequest({
				url: '/admin/admin/notice/detail',
				method: 'GET',
			},data)
			.then((res) =>{
				resolve(res);
			}).catch(err =>{
				reject(err);
			})
		})
	},
}